/v1/api/glsbRules (GET) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Returns information about all configured GSLB rules.

GET https://api-<BlueCat.edge.url>/v1/api/gslbRules
Authorization: Bearer authorization token

Successful response

200 OK
Content-Type: application/JSON
[
    {
        "createdAt": 1747390074922,
        "description": "GSLB Rule 1",
        "excludeUnhealthyAnswers": true,
        "id": "0196d890-902a-7a69-903e-3ff0af9482aa",
        "modifiedAt": 1747391513632,
        "name": "ZN Handling  Empty Responses - all IP addresses excluded",
        "prioritizeHealthyOverNoStatus": false,
        "queryNames": [
            {
                "domain": "14.example.com",
                "type": "domain"
            }
        ],
        "removeFromResponseLists": [
            {
                "listId": "4b4895cc-667f-47e2-b894-4f158b8e02cf",
                "type": "list"
            }
        ],
        "transactionId": "0196d8a6-8420-7dcb-8aff-39b37bc1c904"
    },
    {
        "createdAt": 1747638306681,
        "description": "GSLB Rule 1",
        "excludeUnhealthyAnswers": true,
        "id": "0196e75c-4779-75c0-9db9-b31835f96a21",
        "modifiedAt": 1747638306681,
        "name": "ZN rule exclude unhealthy",
        "prioritizeHealthyOverNoStatus": false,
        "transactionId": "0196e75c-4779-75c4-bedf-ff4d27f3bd99"
    },
    ...
]
Note: The createdAt and modifiedAt fields are represented in milliseconds since the Unix Epoch.
Possible error codes:
  • INTERNAL SERVER ERROR - Unexpected error